Loading...
Searching...
No Matches
png_state Struct Reference

`#include <pngdriver.h>`

## Data Fields

char * | file_name
int | current_color
int | true_color
int | has_alpha
int | mapped
double | clip_top
double | clip_bot
double | clip_left
double | clip_rite
int | width
int | height
unsigned int * | grid
unsigned char | palette [256][4]
unsigned int | background
int | modified
int | linewidth

## Detailed Description

Definition at line 31 of file pngdriver.h.

## Field Documentation

## background

unsigned int png_state::background

Definition at line 45 of file pngdriver.h.

## clip_bot

double png_state::clip_bot

Definition at line 41 of file pngdriver.h.

## clip_left

double png_state::clip_left

Definition at line 41 of file pngdriver.h.

## clip_rite

double png_state::clip_rite

Definition at line 41 of file pngdriver.h.

## clip_top

double png_state::clip_top

Definition at line 41 of file pngdriver.h.

## current_color

int png_state::current_color

Definition at line 33 of file pngdriver.h.

## file_name

char* png_state::file_name

Definition at line 32 of file pngdriver.h.

## grid

unsigned int* png_state::grid

Definition at line 43 of file pngdriver.h.

## has_alpha

int png_state::has_alpha

Definition at line 35 of file pngdriver.h.

## height

int png_state::height

Definition at line 42 of file pngdriver.h.

## linewidth

int png_state::linewidth

Definition at line 48 of file pngdriver.h.

## mapped

int png_state::mapped

Definition at line 36 of file pngdriver.h.

## modified

int png_state::modified

Definition at line 46 of file pngdriver.h.

## palette

unsigned char png_state::palette[256][4]

Definition at line 44 of file pngdriver.h.

## true_color

int png_state::true_color

Definition at line 34 of file pngdriver.h.

## width

int png_state::width

Definition at line 42 of file pngdriver.h.

The documentation for this struct was generated from the following file:

- pngdriver.h